Index: serefpolicy-contrib-20140730/tftp.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tftp.te
+++ serefpolicy-contrib-20140730/tftp.te
@@ -6,30 +6,24 @@ policy_module(tftp, 1.13.0)
 #
 
 ## <desc>
-##	<p>
-##	Determine whether tftp can modify
-##	public files used for public file
-##	transfer services. Directories/Files must
-##	be labeled public_content_rw_t.
-##	</p>
+## <p>
+## Allow tftp to modify public files
+## used for public file transfer services.
+## </p>
 ## </desc>
 gen_tunable(tftp_anon_write, false)
 
 ## <desc>
-##	<p>
-##	Determine whether tftp can manage
-##	generic user home content.
-##	</p>
+## <p>
+## Allow tftp to read and write files in the user home directories
+## </p>
 ## </desc>
-gen_tunable(tftp_enable_homedir, false)
+gen_tunable(tftp_home_dir, false)
 
 type tftpd_t;
 type tftpd_exec_t;
 init_daemon_domain(tftpd_t, tftpd_exec_t)
 
-type tftpd_conf_t;
-files_config_file(tftpd_conf_t)
-
 type tftpd_var_run_t;
 files_pid_file(tftpd_var_run_t)
 
@@ -39,6 +33,9 @@ files_type(tftpdir_t)
 type tftpdir_rw_t;
 files_type(tftpdir_rw_t)
 
+type tftpd_etc_t;
+files_config_file(tftpd_etc_t)
+
 ########################################
 #
 # Local policy
@@ -46,15 +43,17 @@ files_type(tftpdir_rw_t)
 
 allow tftpd_t self:capability { setgid setuid sys_chroot };
 dontaudit tftpd_t self:capability sys_tty_config;
-allow tftpd_t self:tcp_socket { accept listen };
-allow tftpd_t self:unix_stream_socket { accept listen };
-
-allow tftpd_t tftpd_conf_t:file read_file_perms;
+allow tftpd_t self:tcp_socket create_stream_socket_perms;
+allow tftpd_t self:udp_socket create_socket_perms;
+allow tftpd_t self:unix_dgram_socket create_socket_perms;
+allow tftpd_t self:unix_stream_socket create_stream_socket_perms;
 
 allow tftpd_t tftpdir_t:dir list_dir_perms;
 allow tftpd_t tftpdir_t:file read_file_perms;
 allow tftpd_t tftpdir_t:lnk_file read_lnk_file_perms;
 
+read_files_pattern(tftpd_t, tftpd_etc_t, tftpd_etc_t)
+
 manage_dirs_pattern(tftpd_t, tftpdir_rw_t, tftpdir_rw_t)
 manage_files_pattern(tftpd_t, tftpdir_rw_t, tftpdir_rw_t)
 manage_lnk_files_pattern(tftpd_t, tftpdir_rw_t, tftpdir_rw_t)
@@ -65,18 +64,23 @@ files_pid_filetrans(tftpd_t, tftpd_var_r
 kernel_read_system_state(tftpd_t)
 kernel_read_kernel_sysctls(tftpd_t)
 
-corenet_all_recvfrom_unlabeled(tftpd_t)
 corenet_all_recvfrom_netlabel(tftpd_t)
+corenet_tcp_sendrecv_generic_if(tftpd_t)
 corenet_udp_sendrecv_generic_if(tftpd_t)
+corenet_tcp_sendrecv_generic_node(tftpd_t)
 corenet_udp_sendrecv_generic_node(tftpd_t)
+corenet_tcp_sendrecv_all_ports(tftpd_t)
+corenet_udp_sendrecv_all_ports(tftpd_t)
+corenet_tcp_bind_generic_node(tftpd_t)
 corenet_udp_bind_generic_node(tftpd_t)
-
-corenet_sendrecv_tftp_server_packets(tftpd_t)
 corenet_udp_bind_tftp_port(tftpd_t)
-corenet_udp_sendrecv_tftp_port(tftpd_t)
+corenet_sendrecv_tftp_server_packets(tftpd_t)
 
 dev_read_sysfs(tftpd_t)
 
+fs_getattr_all_fs(tftpd_t)
+fs_search_auto_mountpoints(tftpd_t)
+
 domain_use_interactive_fds(tftpd_t)
 
 files_read_etc_runtime_files(tftpd_t)
@@ -84,43 +88,46 @@ files_read_var_files(tftpd_t)
 files_read_var_symlinks(tftpd_t)
 files_search_var(tftpd_t)
 
-fs_getattr_all_fs(tftpd_t)
-fs_search_auto_mountpoints(tftpd_t)
-
 auth_use_nsswitch(tftpd_t)
 
 logging_send_syslog_msg(tftpd_t)
 
-miscfiles_read_localization(tftpd_t)
 miscfiles_read_public_files(tftpd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(tftpd_t)
 userdom_dontaudit_use_user_terminals(tftpd_t)
-userdom_user_home_dir_filetrans_user_home_content(tftpd_t, { dir file lnk_file })
+userdom_dontaudit_search_user_home_dirs(tftpd_t)
+
+userdom_home_manager(tftpd_t)
 
 tunable_policy(`tftp_anon_write',`
 	miscfiles_manage_public_files(tftpd_t)
 ')
 
-tunable_policy(`tftp_enable_homedir',`
-	allow tftpd_t self:capability { dac_override dac_read_search };
+tunable_policy(`tftp_home_dir',`
+    allow tftpd_t self:capability { dac_override dac_read_search };
 
+	# allow access to /home
 	files_list_home(tftpd_t)
-	userdom_manage_user_home_content_dirs(tftpd_t)
-	userdom_manage_user_home_content_files(tftpd_t)
-	userdom_manage_user_home_content_symlinks(tftpd_t)
+    userdom_read_user_home_content_files(tftpd_t)
+    userdom_manage_user_home_content(tftpd_t)
+
+    auth_read_all_dirs_except_shadow(tftpd_t)
+    auth_read_all_files_except_shadow(tftpd_t)
+    auth_read_all_symlinks_except_shadow(tftpd_t)
+',`
+	# Needed for permissive mode, to make sure everything gets labeled correctly
+	userdom_user_home_dir_filetrans_pattern(tftpd_t, { dir file lnk_file })
 ')
 
-tunable_policy(`tftp_enable_homedir && use_nfs_home_dirs',`
-	fs_manage_nfs_dirs(tftpd_t)
-	fs_manage_nfs_files(tftpd_t)
-	fs_read_nfs_symlinks(tftpd_t)
+tunable_policy(`tftp_home_dir && use_nfs_home_dirs',`
+    fs_manage_nfs_files(tftpd_t)
+    fs_read_nfs_symlinks(tftpd_t)
 ')
 
-tunable_policy(`tftp_enable_homedir && use_samba_home_dirs',`
-	fs_manage_cifs_dirs(tftpd_t)
-	fs_manage_cifs_files(tftpd_t)
-	fs_read_cifs_symlinks(tftpd_t)
+tunable_policy(`tftp_home_dir && use_samba_home_dirs',`
+    fs_manage_cifs_files(tftpd_t)
+    fs_read_cifs_symlinks(tftpd_t)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/tgtd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/tgtd.if
+++ serefpolicy-contrib-20140730/tgtd.if
@@ -97,6 +97,6 @@ interface(`tgtd_admin',`
 	files_search_tmp($1)
 	admin_pattern($1, tgtd_tmp_t)
 
-	files_search_tmpfs($1)
+	fs_search_tmpfs($1)
 	admin_pattern($1, tgtd_tmpfs_t)
 ')
Index: serefpolicy-contrib-20140730/tgtd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tgtd.te
+++ serefpolicy-contrib-20140730/tgtd.te
@@ -1,4 +1,4 @@
-policy_module(tgtd, 1.4.0)
+policy_module(tgtd, 1.3.1)
 
 ########################################
 #
@@ -29,7 +29,7 @@ files_pid_file(tgtd_var_run_t)
 # Local policy
 #
 
-allow tgtd_t self:capability sys_resource;
+allow tgtd_t self:capability { dac_override ipc_lock sys_resource sys_rawio sys_admin };
 allow tgtd_t self:capability2 block_suspend;
 allow tgtd_t self:process { setrlimit signal };
 allow tgtd_t self:fifo_file rw_fifo_file_perms;
@@ -56,15 +56,16 @@ files_pid_filetrans(tgtd_t,tgtd_var_run_
 
 kernel_read_system_state(tgtd_t)
 kernel_read_fs_sysctls(tgtd_t)
+kernel_read_network_state(tgtd_t)
 
 corenet_all_recvfrom_netlabel(tgtd_t)
-corenet_all_recvfrom_unlabeled(tgtd_t)
 corenet_tcp_sendrecv_generic_if(tgtd_t)
 corenet_tcp_sendrecv_generic_node(tgtd_t)
 corenet_tcp_bind_generic_node(tgtd_t)
 
 corenet_sendrecv_iscsi_server_packets(tgtd_t)
 corenet_tcp_bind_iscsi_port(tgtd_t)
+corenet_tcp_connect_isns_port(tgtd_t)
 corenet_tcp_sendrecv_iscsi_port(tgtd_t)
 
 corenet_sendrecv_iscsi_client_packets(tgtd_t)
@@ -72,16 +73,16 @@ corenet_tcp_connect_isns_port(tgtd_t)
 
 dev_read_sysfs(tgtd_t)
 
-files_read_etc_files(tgtd_t)
+files_list_mnt(tgtd_t)
 
 fs_read_anon_inodefs_files(tgtd_t)
 
 storage_manage_fixed_disk(tgtd_t)
+storage_read_scsi_generic(tgtd_t)
+storage_write_scsi_generic(tgtd_t)
 
 logging_send_syslog_msg(tgtd_t)
 
-miscfiles_read_localization(tgtd_t)
-
 optional_policy(`
 	iscsi_manage_semaphores(tgtd_t)
 ')
Index: serefpolicy-contrib-20140730/thin.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thin.fc
@@ -0,0 +1,12 @@
+/usr/bin/thin		--	gen_context(system_u:object_r:thin_exec_t,s0)
+
+/usr/bin/aeolus-configserver-thinwrapper	--	gen_context(system_u:object_r:thin_aeolus_configserver_exec_t,s0)
+
+/var/lib/aeolus-configserver(/.*)?	gen_context(system_u:object_r:thin_aeolus_configserver_lib_t,s0)
+
+/var/log/aeolus-configserver(/.*)?  gen_context(system_u:object_r:thin_aeolus_configserver_log_t,s0)
+/var/log/thin\.log.*	             --	gen_context(system_u:object_r:thin_log_t,s0)
+
+/var/run/aeolus-configserver(/.*)?	gen_context(system_u:object_r:thin_aeolus_configserver_var_run_t,s0)
+/var/run/aeolus/thin\.pid	--	gen_context(system_u:object_r:thin_var_run_t,s0)
+/var/run/thin(/.*)?		     gen_context(system_u:object_r:thin_var_run_t,s0)
Index: serefpolicy-contrib-20140730/thin.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thin.if
@@ -0,0 +1,64 @@
+## <summary>thin policy</summary>
+
+#######################################
+## <summary>
+##  Creates types and rules for a basic
+##  thin daemon domain.
+## </summary>
+## <param name="prefix">
+##  <summary>
+##  Prefix for the domain.
+##  </summary>
+## </param>
+#
+template(`thin_domain_template',`
+    gen_require(`
+        attribute thin_domain;
+    ')
+
+    type $1_t, thin_domain;
+    type $1_exec_t;
+    init_daemon_domain($1_t, $1_exec_t)
+
+	can_exec($1_t, $1_exec_t)
+
+	kernel_read_system_state($1_t)
+')
+
+######################################
+## <summary>
+##	Execute mongod in the caller domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`thin_exec',`
+    gen_require(`
+	type thin_exec_t;
+    ')
+
+    can_exec($1, thin_exec_t)
+')
+
+#####################################
+## <summary>
+##	Connect to thin over a unix domain
+##	stream socket.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`thin_stream_connect',`
+	gen_require(`
+		type thin_t, thin_var_run_t;
+	')
+
+	files_search_pids($1)
+	stream_connect_pattern($1, thin_var_run_t, thin_var_run_t, thin_t)
+')
Index: serefpolicy-contrib-20140730/thin.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thin.te
@@ -0,0 +1,115 @@
+policy_module(thin, 1.0)
+
+########################################
+#
+# Declarations
+#
+
+attribute thin_domain;
+
+thin_domain_template(thin)
+
+type thin_log_t;
+logging_log_file(thin_log_t)
+
+type thin_var_run_t;
+files_pid_file(thin_var_run_t)
+
+thin_domain_template(thin_aeolus_configserver)
+
+type thin_aeolus_configserver_lib_t;
+files_type(thin_aeolus_configserver_lib_t)
+
+type thin_aeolus_configserver_log_t;
+logging_log_file(thin_aeolus_configserver_log_t)
+
+type thin_aeolus_configserver_var_run_t;
+files_pid_file(thin_aeolus_configserver_var_run_t)
+
+########################################
+#
+# thin_domain local policy
+#
+
+allow thin_domain self:process signal;
+
+allow thin_domain self:fifo_file rw_fifo_file_perms;
+allow thin_domain self:tcp_socket create_stream_socket_perms;
+
+# we want to stay in a new thin domain if we call thin binary from a script
+# # initrc_t@thin_test_exec_t->thin_test_t@thin_exec_t->thin_test_t
+can_exec(thin_domain, thin_exec_t)
+
+corecmd_exec_bin(thin_domain)
+corecmd_exec_shell(thin_domain)
+
+corenet_tcp_bind_generic_node(thin_domain)
+
+dev_read_rand(thin_domain)
+dev_read_urand(thin_domain)
+
+
+auth_read_passwd(thin_domain)
+
+miscfiles_read_certs(thin_domain)
+
+
+fs_search_auto_mountpoints(thin_domain)
+
+init_read_utmp(thin_domain)
+
+kernel_read_kernel_sysctls(thin_domain)
+
+optional_policy(`
+    apache_read_sys_content(thin_domain)
+')
+
+optional_policy(`
+	sysnet_read_config(thin_domain)
+')
+
+########################################
+#
+# thin local policy
+#
+
+allow thin_t self:capability { setuid kill setgid dac_override };
+allow thin_t self:capability2 block_suspend;
+
+allow thin_t self:netlink_route_socket r_netlink_socket_perms;
+allow thin_t self:udp_socket create_socket_perms;
+allow thin_t self:unix_stream_socket create_stream_socket_perms;
+
+manage_files_pattern(thin_t, thin_log_t, thin_log_t)
+manage_dirs_pattern(thin_t, thin_log_t, thin_log_t)
+logging_log_filetrans(thin_t, thin_log_t, { file dir })
+
+manage_dirs_pattern(thin_t, thin_var_run_t, thin_var_run_t)
+manage_files_pattern(thin_t, thin_var_run_t, thin_var_run_t)
+manage_lnk_files_pattern(thin_t, thin_var_run_t, thin_var_run_t)
+manage_sock_files_pattern(thin_t, thin_var_run_t, thin_var_run_t)
+files_pid_filetrans(thin_t, thin_var_run_t, { dir file sock_file })
+
+corenet_tcp_bind_ntop_port(thin_t)
+corenet_tcp_connect_postgresql_port(thin_t)
+
+#######################################
+#
+# thin aeolus configserver local policy
+#
+
+allow thin_aeolus_configserver_t self:capability { setuid setgid };
+
+corenet_tcp_bind_tram_port(thin_aeolus_configserver_t)
+
+manage_files_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_lib_t, thin_aeolus_configserver_lib_t)
+manage_dirs_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_lib_t, thin_aeolus_configserver_lib_t)
+files_var_lib_filetrans(thin_aeolus_configserver_t, thin_aeolus_configserver_lib_t, { file dir })
+
+manage_files_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_log_t, thin_aeolus_configserver_log_t)
+manage_dirs_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_log_t, thin_aeolus_configserver_log_t)
+logging_log_filetrans(thin_aeolus_configserver_t, thin_aeolus_configserver_log_t, { file dir })
+
+manage_files_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_var_run_t, thin_aeolus_configserver_var_run_t)
+manage_dirs_pattern(thin_aeolus_configserver_t, thin_aeolus_configserver_var_run_t, thin_aeolus_configserver_var_run_t)
+files_pid_filetrans(thin_aeolus_configserver_t, thin_aeolus_configserver_var_run_t, { dir file })
Index: serefpolicy-contrib-20140730/thumb.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thumb.fc
@@ -0,0 +1,17 @@
+HOME_DIR/\.thumbnails(/.*)?	gen_context(system_u:object_r:thumb_home_t,s0)
+HOME_DIR/\.cache/thumbnails(/.*)?	gen_context(system_u:object_r:thumb_home_t,s0)
+HOME_DIR/missfont\.log.*		gen_context(system_u:object_r:thumb_home_t,s0)
+
+/usr/bin/evince-thumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/gsf-office-thumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/gnome-thumbnail-font		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/gnome-[^/]*-thumbnailer(.sh)?	--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/raw-thumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/shotwell-video-thumbnailer	--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/totem-video-thumbnailer	--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/whaaw-thumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/[^/]*thumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/ffmpegthumbnailer		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+/usr/bin/mate-thumbnail-font		--	gen_context(system_u:object_r:thumb_exec_t,s0)
+
+/usr/lib/tumbler-?[^/]*/tumblerd		--	gen_context(system_u:object_r:thumb_exec_t,s0)
Index: serefpolicy-contrib-20140730/thumb.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thumb.if
@@ -0,0 +1,133 @@
+
+## <summary>policy for thumb</summary>
+
+########################################
+## <summary>
+##	Transition to thumb.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`thumb_domtrans',`
+	gen_require(`
+		type thumb_t, thumb_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, thumb_exec_t, thumb_t)
+')
+
+
+########################################
+## <summary>
+##	Execute thumb in the thumb domain, and
+##	allow the specified role the thumb domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	The role to be allowed the thumb domain.
+##	</summary>
+## </param>
+#
+interface(`thumb_run',`
+	gen_require(`
+		type thumb_t;
+	')
+
+	thumb_domtrans($1)
+	role $2 types thumb_t;
+
+	allow $1 thumb_t:process signal_perms;
+
+	dontaudit thumb_t $1:dir list_dir_perms;
+	dontaudit thumb_t $1:file read_file_perms;
+	dontaudit thumb_t $1:unix_stream_socket rw_socket_perms;
+    
+    allow thumb_t $1:shm create_shm_perms;
+	allow thumb_t $1:sem create_sem_perms;
+')
+
+########################################
+## <summary>
+##	Role access for thumb
+## </summary>
+## <param name="role">
+##	<summary>
+##	Role allowed access
+##	</summary>
+## </param>
+## <param name="domain">
+##	<summary>
+##	User domain for the role
+##	</summary>
+## </param>
+#
+interface(`thumb_role',`
+	gen_require(`
+		type thumb_t;
+		class dbus send_msg;
+	')
+
+	thumb_run($2, $1)
+
+	ps_process_pattern($2, thumb_t)
+	allow thumb_t $2:unix_stream_socket connectto;
+
+	thumb_dbus_chat($2)
+	thumb_filetrans_home_content($2)
+')
+
+########################################
+## <summary>
+##      Send and receive messages from
+##      thumb over dbus.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`thumb_dbus_chat',`
+        gen_require(`
+                type thumb_t;
+                class dbus send_msg;
+        ')
+
+        allow $1 thumb_t:dbus send_msg;
+        allow thumb_t $1:dbus send_msg;
+	ps_process_pattern(thumb_t, $1)
+')
+
+########################################
+## <summary>
+##	Create thumb content in the user home directory
+##	with an correct label.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`thumb_filetrans_home_content',`
+
+	gen_require(`
+		type thumb_home_t;
+	')
+
+	userdom_user_home_dir_filetrans($1, thumb_home_t, dir, ".thumbnails")
+	userdom_user_home_dir_filetrans($1, thumb_home_t, file, "missfont.log")
+
+	optional_policy(`
+		gnome_cache_filetrans($1, thumb_home_t, dir, "thumbnails")
+	')
+')
Index: serefpolicy-contrib-20140730/thumb.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/thumb.te
@@ -0,0 +1,158 @@
+policy_module(thumb, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type thumb_t;
+type thumb_exec_t;
+application_domain(thumb_t, thumb_exec_t)
+ubac_constrained(thumb_t)
+userdom_home_manager(thumb_t)
+
+type thumb_tmp_t;
+files_tmp_file(thumb_tmp_t)
+ubac_constrained(thumb_tmp_t)
+
+type thumb_home_t;
+userdom_user_home_content(thumb_home_t)
+
+type thumb_tmpfs_t;
+files_tmpfs_file(thumb_tmpfs_t)
+
+########################################
+#
+# thumb local policy
+#
+
+allow thumb_t self:process { setsched signal signull setrlimit };
+dontaudit thumb_t self:capability sys_tty_config;
+
+tunable_policy(`deny_execmem',`',`
+	allow thumb_t self:process execmem;
+')
+
+allow thumb_t self:fifo_file manage_fifo_file_perms;
+allow thumb_t self:unix_stream_socket create_stream_socket_perms;
+allow thumb_t self:netlink_route_socket r_netlink_socket_perms;
+allow thumb_t self:udp_socket create_socket_perms;
+allow thumb_t self:tcp_socket create_socket_perms;
+allow thumb_t self:shm create_shm_perms;
+allow thumb_t self:sem create_sem_perms;
+
+manage_dirs_pattern(thumb_t, thumb_home_t, thumb_home_t)
+manage_files_pattern(thumb_t, thumb_home_t, thumb_home_t)
+userdom_user_home_dir_filetrans(thumb_t, thumb_home_t, dir, ".thumbnails")
+userdom_user_home_dir_filetrans(thumb_t, thumb_home_t, file, "missfont.log")
+userdom_dontaudit_access_check_user_content(thumb_t)
+userdom_rw_inherited_user_tmp_files(thumb_t)
+userdom_manage_home_texlive(thumb_t)
+
+manage_files_pattern(thumb_t, thumb_tmp_t, thumb_tmp_t)
+manage_dirs_pattern(thumb_t, thumb_tmp_t, thumb_tmp_t)
+manage_sock_files_pattern(thumb_t, thumb_tmp_t, thumb_tmp_t)
+exec_files_pattern(thumb_t, thumb_tmp_t, thumb_tmp_t)
+files_tmp_filetrans(thumb_t, thumb_tmp_t, { file dir sock_file })
+userdom_user_tmp_filetrans(thumb_t, thumb_tmp_t, { file dir sock_file })
+
+manage_dirs_pattern(thumb_t, thumb_tmpfs_t, thumb_tmpfs_t)
+manage_files_pattern(thumb_t, thumb_tmpfs_t, thumb_tmpfs_t)
+fs_tmpfs_filetrans(thumb_t, thumb_tmpfs_t, { dir file })
+
+can_exec(thumb_t, thumb_exec_t)
+
+kernel_read_system_state(thumb_t)
+
+corecmd_exec_bin(thumb_t)
+corecmd_exec_shell(thumb_t)
+
+corenet_tcp_connect_xserver_port(thumb_t)
+
+dev_read_sysfs(thumb_t)
+dev_read_urand(thumb_t)
+dev_dontaudit_rw_dri(thumb_t)
+dev_rw_xserver_misc(thumb_t)
+
+domain_use_interactive_fds(thumb_t)
+domain_dontaudit_read_all_domains_state(thumb_t)
+
+files_read_non_security_files(thumb_t)
+
+fs_getattr_all_fs(thumb_t)
+fs_read_dos_files(thumb_t)
+fs_rw_inherited_tmpfs_files(thumb_t)
+
+auth_read_passwd(thumb_t)
+
+tunable_policy(`selinuxuser_execmod',`
+	libs_legacy_use_shared_libs(thumb_t)
+')
+
+miscfiles_read_fonts(thumb_t)
+miscfiles_dontaudit_setattr_fonts_dirs(thumb_t)
+miscfiles_dontaudit_setattr_fonts_cache_dirs(thumb_t)
+
+sysnet_read_config(thumb_t)
+
+userdom_dontaudit_setattr_user_tmp(thumb_t)
+userdom_read_user_tmp_files(thumb_t)
+userdom_read_user_home_content_files(thumb_t)
+userdom_exec_user_home_content_files(thumb_t)
+userdom_dontaudit_write_user_tmp_files(thumb_t)
+userdom_dontaudit_delete_user_tmp_files(thumb_t)
+userdom_read_home_audio_files(thumb_t)
+userdom_home_reader(thumb_t)
+
+userdom_use_user_terminals(thumb_t)
+
+xserver_read_xdm_home_files(thumb_t)
+xserver_append_xdm_home_files(thumb_t)
+xserver_dontaudit_read_xdm_pid(thumb_t)
+xserver_dontaudit_xdm_tmp_dirs(thumb_t)
+xserver_stream_connect(thumb_t)
+xserver_use_user_fonts(thumb_t)
+
+optional_policy(`
+    bumblebee_stream_connect(thumb_t)
+')
+
+optional_policy(`
+    dbus_exec_dbusd(thumb_t)
+    dbus_connect_session_bus(thumb_t)
+	dbus_stream_connect_session_bus(thumb_t)
+	dbus_chat_session_bus(thumb_t)
+')
+
+optional_policy(`
+	# .config
+	gnome_dontaudit_search_config(thumb_t)
+	gnome_dontaudit_write_config_files(thumb_t)
+    gnome_append_home_config(thumb_t)
+	gnome_append_generic_cache_files(thumb_t)
+	gnome_read_generic_data_home_files(thumb_t)
+	gnome_dontaudit_rw_generic_cache_files(thumb_t)
+	gnome_manage_gstreamer_home_files(thumb_t)
+	gnome_manage_gstreamer_home_dirs(thumb_t)
+	gnome_exec_gstreamer_home_files(thumb_t)
+	gnome_create_generic_cache_dir(thumb_t)
+	gnome_cache_filetrans(thumb_t, thumb_home_t, dir, "thumbnails")
+	gnome_cache_filetrans(thumb_t, thumb_home_t, file)
+')
+
+optional_policy(`
+	sssd_dontaudit_stream_connect(thumb_t)
+')
+
+optional_policy(`
+	nscd_dontaudit_write_sock_file(thumb_t)
+')
+
+optional_policy(`
+	nslcd_dontaudit_write_sock_file(thumb_t)
+')
+
+tunable_policy(`nis_enabled',`
+	corenet_dontaudit_udp_bind_all_ports(thumb_t)
+	corenet_dontaudit_udp_bind_generic_node(thumb_t)
+')
Index: serefpolicy-contrib-20140730/thunderbird.te
===================================================================
--- serefpolicy-contrib-20140730.orig/thunderbird.te
+++ serefpolicy-contrib-20140730/thunderbird.te
@@ -53,7 +53,6 @@ kernel_read_system_state(thunderbird_t)
 
 corecmd_exec_shell(thunderbird_t)
 
-corenet_all_recvfrom_unlabeled(thunderbird_t)
 corenet_all_recvfrom_netlabel(thunderbird_t)
 corenet_tcp_sendrecv_generic_if(thunderbird_t)
 corenet_tcp_sendrecv_generic_node(thunderbird_t)
@@ -82,7 +81,6 @@ dev_read_urand(thunderbird_t)
 dev_dontaudit_search_sysfs(thunderbird_t)
 
 files_list_tmp(thunderbird_t)
-files_read_usr_files(thunderbird_t)
 files_read_etc_runtime_files(thunderbird_t)
 files_read_var_files(thunderbird_t)
 files_read_var_symlinks(thunderbird_t)
@@ -98,7 +96,6 @@ fs_search_auto_mountpoints(thunderbird_t
 auth_use_nsswitch(thunderbird_t)
 
 miscfiles_read_fonts(thunderbird_t)
-miscfiles_read_localization(thunderbird_t)
 
 userdom_write_user_tmp_sockets(thunderbird_t)
 
@@ -107,23 +104,14 @@ userdom_manage_user_tmp_files(thunderbir
 
 userdom_manage_user_home_content_dirs(thunderbird_t)
 userdom_manage_user_home_content_files(thunderbird_t)
-userdom_user_home_dir_filetrans_user_home_content(thunderbird_t, { dir file })
+userdom_filetrans_home_content(thunderbird_t)
 
 xserver_user_x_domain_template(thunderbird, thunderbird_t, thunderbird_tmpfs_t)
 xserver_read_xdm_tmp_files(thunderbird_t)
 xserver_dontaudit_getattr_xdm_tmp_sockets(thunderbird_t)
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_manage_nfs_dirs(thunderbird_t)
-	fs_manage_nfs_files(thunderbird_t)
-	fs_manage_nfs_symlinks(thunderbird_t)
-')
-
-tunable_policy(`use_samba_home_dirs',`
-	fs_manage_cifs_dirs(thunderbird_t)
-	fs_manage_cifs_files(thunderbird_t)
-	fs_manage_cifs_symlinks(thunderbird_t)
-')
+# Access ~/.thunderbird
+userdom_home_manager(thunderbird_t)
 
 ifndef(`enable_mls',`
 	fs_search_removable(thunderbird_t)
Index: serefpolicy-contrib-20140730/timidity.te
===================================================================
--- serefpolicy-contrib-20140730.orig/timidity.te
+++ serefpolicy-contrib-20140730/timidity.te
@@ -36,7 +36,6 @@ fs_tmpfs_filetrans(timidity_t, timidity_
 kernel_read_kernel_sysctls(timidity_t)
 kernel_read_system_state(timidity_t)
 
-corenet_all_recvfrom_unlabeled(timidity_t)
 corenet_all_recvfrom_netlabel(timidity_t)
 corenet_tcp_sendrecv_generic_if(timidity_t)
 corenet_udp_sendrecv_generic_if(timidity_t)
@@ -51,8 +50,6 @@ dev_write_sound(timidity_t)
 
 domain_use_interactive_fds(timidity_t)
 
-files_read_etc_files(timidity_t)
-files_read_usr_files(timidity_t)
 files_search_tmp(timidity_t)
 
 fs_search_auto_mountpoints(timidity_t)
Index: serefpolicy-contrib-20140730/tmpreaper.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tmpreaper.te
+++ serefpolicy-contrib-20140730/tmpreaper.te
@@ -1,4 +1,4 @@
-policy_module(tmpreaper, 1.8.0)
+policy_module(tmpreaper, 1.7.1)
 
 ########################################
 #
@@ -8,6 +8,7 @@ policy_module(tmpreaper, 1.8.0)
 type tmpreaper_t;
 type tmpreaper_exec_t;
 init_system_domain(tmpreaper_t, tmpreaper_exec_t)
+application_domain(tmpreaper_t, tmpreaper_exec_t)
 
 ########################################
 #
@@ -19,6 +20,7 @@ allow tmpreaper_t self:fifo_file rw_fifo
 
 kernel_list_unlabeled(tmpreaper_t)
 kernel_read_system_state(tmpreaper_t)
+kernel_delete_unlabeled(tmpreaper_t)
 
 dev_read_urand(tmpreaper_t)
 
@@ -27,15 +29,19 @@ corecmd_exec_shell(tmpreaper_t)
 
 fs_getattr_xattr_fs(tmpreaper_t)
 fs_list_all(tmpreaper_t)
+fs_setattr_tmpfs_dirs(tmpreaper_t)
+fs_delete_tmpfs_files(tmpreaper_t)
 
-files_getattr_all_dirs(tmpreaper_t)
-files_getattr_all_files(tmpreaper_t)
 files_read_var_lib_files(tmpreaper_t)
 files_purge_tmp(tmpreaper_t)
+files_delete_all_non_security_files(tmpreaper_t)
+# why does it need setattr?
 files_setattr_all_tmp_dirs(tmpreaper_t)
+files_setattr_isid_type_dirs(tmpreaper_t)
+files_setattr_usr_dirs(tmpreaper_t)
+files_getattr_all_dirs(tmpreaper_t)
+files_getattr_all_files(tmpreaper_t)
 
-mcs_file_read_all(tmpreaper_t)
-mcs_file_write_all(tmpreaper_t)
 mls_file_read_all_levels(tmpreaper_t)
 mls_file_write_all_levels(tmpreaper_t)
 
@@ -45,7 +51,6 @@ init_use_inherited_script_ptys(tmpreaper
 
 logging_send_syslog_msg(tmpreaper_t)
 
-miscfiles_read_localization(tmpreaper_t)
 miscfiles_delete_man_pages(tmpreaper_t)
 
 ifdef(`distro_debian',`
@@ -53,10 +58,13 @@ ifdef(`distro_debian',`
 ')
 
 ifdef(`distro_redhat',`
-	userdom_list_all_user_home_content(tmpreaper_t)
+	userdom_list_user_home_content(tmpreaper_t)
+	userdom_list_admin_dir(tmpreaper_t)
 	userdom_delete_all_user_home_content_dirs(tmpreaper_t)
 	userdom_delete_all_user_home_content_files(tmpreaper_t)
+	userdom_delete_all_user_home_content_sock_files(tmpreaper_t)
 	userdom_delete_all_user_home_content_symlinks(tmpreaper_t)
+	userdom_setattr_all_user_home_content_dirs(tmpreaper_t)
 ')
 
 optional_policy(`
@@ -64,6 +72,7 @@ optional_policy(`
 ')
 
 optional_policy(`
+	apache_delete_sys_content_rw(tmpreaper_t)
 	apache_list_cache(tmpreaper_t)
 	apache_delete_cache_dirs(tmpreaper_t)
 	apache_delete_cache_files(tmpreaper_t)
@@ -79,7 +88,19 @@ optional_policy(`
 ')
 
 optional_policy(`
-	lpd_manage_spool(tmpreaper_t)
+    lpd_manage_spool(tmpreaper_t)
+')
+
+optional_policy(`
+	mandb_delete_cache(tmpreaper_t)
+')
+
+optional_policy(`
+	sandbox_list(tmpreaper_t)
+	sandbox_delete_dirs(tmpreaper_t)
+	sandbox_delete_files(tmpreaper_t)
+	sandbox_delete_sock_files(tmpreaper_t)
+	sandbox_setattr_dirs(tmpreaper_t)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/tomcat.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/tomcat.fc
@@ -0,0 +1,11 @@
+/usr/lib/systemd/system/tomcat.service		--	gen_context(system_u:object_r:tomcat_unit_file_t,s0)
+
+/usr/sbin/tomcat(6)?	--	gen_context(system_u:object_r:tomcat_exec_t,s0)
+
+/var/cache/tomcat6?(/.*)?		gen_context(system_u:object_r:tomcat_cache_t,s0)
+
+/var/lib/tomcat6?(/.*)?		gen_context(system_u:object_r:tomcat_var_lib_t,s0)
+
+/var/log/tomcat6?(/.*)?		gen_context(system_u:object_r:tomcat_log_t,s0)
+
+/var/run/tomcat6?\.pid		--	gen_context(system_u:object_r:tomcat_var_run_t,s0)
